- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# CPlayerCaptureDialog Class Reference

List of all members.

## Public Types
enum |
## Public Member Functions
| CPlayerCaptureDialog ()
virtual | ~CPlayerCaptureDialog ()
BOOL | Create (CWnd *pParent=NULL)
void | SetupVideoControls (CStringW DisplayName, CComPtr< IAMStreamConfig > pAMSC, CComPtr< IAMCrossbar > pAMXB, CComPtr< IAMTVTuner > pAMTuner)
void | SetupVideoControls (CStringW DisplayName, CComPtr< IAMStreamConfig > pAMSC, CComPtr< IAMVfwCaptureDialogs > pAMVfwCD)
void | SetupAudioControls (CStringW DisplayName, CComPtr< IAMStreamConfig > pAMSC, CInterfaceArray< IAMAudioInputMixer > &pAMAIM)
bool | IsTunerActive ()
bool | SetVideoInput (int input)
bool | SetVideoChannel (int channel)
bool | SetAudioInput (int input)
int | GetVideoInput ()
int | GetVideoChannel ()
int | GetAudioInput ()
afx_msg void | OnDestroy ()
afx_msg void | OnVideoInput ()
afx_msg void | OnVideoType ()
afx_msg void | OnVideoDimension ()
afx_msg void | OnOverrideVideoDimension ()
afx_msg void | OnAudioInput ()
afx_msg void | OnAudioType ()
afx_msg void | OnAudioDimension ()
afx_msg void | OnRecordVideo ()
afx_msg void | OnVideoCodec ()
afx_msg void | OnVideoCodecType ()
afx_msg void | OnVideoCodecDimension ()
afx_msg void | OnRecordAudio ()
afx_msg void | OnAudioCodec ()
afx_msg void | OnAudioCodecType ()
afx_msg void | OnAudioCodecDimension ()
afx_msg void | OnOpenFile ()
afx_msg void | OnRecord ()
afx_msg void | OnEnChangeEdit9 ()
afx_msg void | OnEnChangeEdit12 ()
afx_msg void | OnTimer (UINT nIDEvent)
afx_msg void | OnBnClickedVidAudPreview ()
afx_msg void | OnBnClickedCheck7 ()
afx_msg void | OnCbnSelchangeCombo14 ()
## Public Attributes
CComboBox | m_vidinput
CComboBox | m_vidtype
CComboBox | m_viddimension
CSpinButtonCtrl | m_vidhor
CSpinButtonCtrl | m_vidver
CEdit | m_vidhoredit
CEdit | m_vidveredit
CFloatEdit | m_vidfpsedit
float | m_vidfps
CButton | m_vidsetres
CComboBox | m_audinput
CComboBox | m_audtype
CComboBox | m_auddimension
CComboBox | m_vidcodec
CComboBox | m_vidcodectype
CComboBox | m_vidcodecdimension
BOOL | m_fVidOutput
CButton | m_vidoutput
BOOL | m_fVidPreview
CButton | m_vidpreview
CComboBox | m_audcodec
CComboBox | m_audcodectype
CComboBox | m_audcodecdimension
BOOL | m_fAudOutput
CButton | m_audoutput
BOOL | m_fAudPreview
CButton | m_audpreview
int | m_nVidBuffers
int | m_nAudBuffers
CString | m_file
CButton | m_recordbtn
BOOL | m_fSepAudio
int | m_muxtype
CComboBox | m_muxctrl
CMediaType | m_mtv
CMediaType | m_mta
CMediaType | m_mtcv
CMediaType | m_mtca
CComPtr< IBaseFilter > | m_pVidEnc
CComPtr< IBaseFilter > | m_pAudEnc
CComPtr< IBaseFilter > | m_pMux
CComPtr< IBaseFilter > | m_pDst
CComPtr< IBaseFilter > | m_pAudMux
CComPtr< IBaseFilter > | m_pAudDst
CComPtr< IMoniker > | m_pVidEncMoniker
CComPtr< IMoniker > | m_pAudEncMoniker
CComPtr< IBaseFilter > | m_pVidBuffer
CComPtr< IBaseFilter > | m_pAudBuffer
## Protected Member Functions
virtual void | DoDataExchange (CDataExchange *pDX)
virtual BOOL | PreTranslateMessage (MSG *pMsg)
virtual BOOL | OnInitDialog ()
virtual void | OnOK ()
virtual void | OnCancel ()

## Detailed Description

Definition at line 311 of file PlayerCaptureDialog.h.

The documentation for this class was generated from the following files:

- C:/guliverkli/src/apps/mplayerc/PlayerCaptureDialog.h
- C:/guliverkli/src/apps/mplayerc/PlayerCaptureDialog.cpp